1. Phoenix0419's Avatar
    Hi,
    I downloaded the leaked version of BBM 5.0 and it wont work. I then tried to download BBM 4.0 and 4.1 and it says that my phone doesn't meet system requirements. What should I do?

    Help!
    07-21-09 03:35 PM
  2. rachel0179's Avatar
    Uninstall whatever version you have, email this link to your phone once rebooted, click and it will install

    http://yourcbcfamily.org/bb/curvebbm/

    Make sure you have a back up or do a back up to restore from so you get your contacts back.
    07-21-09 03:38 PM
  3. NewOrleans7's Avatar
    I told my friend to do this, and she can't find where the bbm downloaded to.
    07-21-09 05:37 PM
  4. nwaldro's Avatar
    Thank you sooooo much Rachel... it worked perfectly!!!
    07-21-09 09:14 PM
  5. cdf3's Avatar
    Thanks Rachel.

    BBM 5.0 crop & save feature, along with incorrect status of contacts at times was enough for me to get rid of it.
    I'm glad I'm back to the old version now. It's not as fancy as BBM 5.0, but it works fast and flawless.
    07-21-09 10:06 PM
  6. Salomon's Avatar
    hi there !!!
    the bbm 5.0.1.38 now its official, but i didnt like it how can i get back to the 5.0.0.57 version ???

    Please help me !!!
    08-10-10 11:03 PM
  7. db6329842's Avatar
    that link takes me to a church page ! bunch of BS
    08-13-10 11:22 PM
  8. kele-lebo's Avatar
    I need the old version of bbm because I can't get used 2 the latest version. Wat link can I use to get the old version?

    Posted from my CrackBerry at wapforums.crackberry.com
    09-12-11 04:37 PM
LINK TO POST COPIED TO CLIPBOARD